{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}

{% block extra_style_block %}
    {{block.super}}

    <style>
        .btn-payment {
            float: right;
            color: #fff;
        }
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
        .bgc {
            background: rgba(0,0,0,.075);
        }
        .sku {
            cursor: pointer;
        }
        .even {background: rgba(0,0,0,.075);}
        .odd {background: rgba(0,0,0,.075);}
    </style>

    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }

        .col-cust-add{
          float: left;
          padding-left: 15px;
          float: left;
          padding-left: 15px;
          font-size: 16px;
          font-weight: 600;
          color: #333;
          line-height: 1.45;
        }
        .col-cust-add h2{
          text-transform: capitalize;
          font-size: 24px;
          margin: 0 0 0px 0;
          font-weight: 600;
          line-height: 1.2;
        }
        .col-cust-add.col-business-add{
          padding: 3px 5px;
          word-spacing: 0px;
          background: #dddddd82;
          box-shadow: 0px 0px 5px #f5e1e1;
          float: right;
          border-radius: 4px;
          margin: 12px 30px 0px;
        }
        .col-cust-add.col-business-add span{
          padding: 5px 8px;
          display: inline-block;
          background-color: #f39c12;
          border-color: #e08e0b;
          border-radius: 4px;
          margin-bottom: 5px;
          color:#fff;
        }
    </style>

    <style>
        .txt-search {
            width: auto;
            display: initial !important;
        }
        .btn-search {
            display: initial !important;
            padding: 6.2px 12px;
            margin: 0 2px 0 -4px;
            background: #3d8dbc;
            border: 1px solid #09649a;
        }
        .fa-search {
            color: #fff;
        }
    </style>

    <!--<link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">-->
    <!--<link rel="stylesheet" href="{% static 'css/jquery.toast.css' %}">-->
{% endblock %}

{% block content %}
<link rel="stylesheet" type="text/css" href="{% static 'css/grid-style.css' %}">
<form method="POST" >
    {% csrf_token %}
  
    <div class="row">
        <div class="col-md-4 col-sm-6 col-xs-12">
            <div class="info-box">
                <span class="info-box-icon bg-aqua"><i class="fa fa-rupee"></i></span>                        
                <div class="info-box-content">
                    <span class="info-box-text">Total Target</span>
                    <!-- <a href="#"> -->
                    <span class="info-box-number">
                        ₹ {{objdst.monthly_target__sum|floatformat:2|intcomma}}
                    </span>
                    <!-- </a> -->
                </div>
            </div>
        </div>
        <div class="col-md-4 col-sm-6 col-xs-12">
            <div class="info-box">
                <span class="info-box-icon bg-green"><i class="fa fa-rupee"></i></span>                            
                <div class="info-box-content">
                    <span class="info-box-text">Achieved Target</span>
                    <!-- <a href="#"> -->
                    <span class="info-box-number">
                        {{pay|floatformat:2|intcomma|default:"0"}}
                    </span>
                        <!-- </a> -->
                </div>
            </div>
        </div>
        <div class="col-md-4 col-sm-6 col-xs-12">
            <div class="info-box">
                <span class="info-box-icon bg-red"><i class="fa fa-rupee"></i></span>                                 
                <div class="info-box-content">
                    <span class="info-box-text">Remaining Target</span>
                    <!-- <a href="#"> -->
                    <span class="info-box-number">
                        {{outstanding|floatformat:2|intcomma|default:"0"}}
                    </span>
                    <!-- </a> -->
                </div>
            </div>
        </div>
    </div>
    
<section class="content-header col-content">
<div class="row">
    <div class="col-xs-8 col-sm-8 col-md-8 col-customer">
        <span id="btn-back" class="glyphicon glyphicon-circle-arrow-left"></span>
        <h1 class="back-list">Monthly target detail</h1>
        <div class="col-xs-12 col-sm-12 col-md-12 col-customer">
            <div class="col-xs-2 col-sm-2 col-md-2">
                <p class="creatBtn-wrapper">
                    <select name="month" id="month" style="width: 100%;" class="select form-control">
                        <option value="All">All</option>
                        <option value="1">January</option>
                        <option value="2">February</option>
                        <option value="3">March</option>
                        <option value="4">April</option>
                        <option value="5">May</option>
                        <option value="6">June</option>
                        <option value="7">July</option>
                        <option value="8">August</option>
                        <option value="9">September</option>
                        <option value="10">October</option>
                        <option value="11">November</option>
                        <option value="12">December</option>
                    </select>
                </p>  
            </div>
            <div class="col-xs-2 col-sm-2 col-md-2">
                <p class="creatBtn-wrapper">
                    <select name="year" id="year" class="select form-control">
                        <option value="All">All</option>            
                            {% for year in target_year %}
                                <option value="{{year}}">{{year}}</option>
                            {% endfor %}
                    </select>
                </p>  
            </div>
            <!--<div class="col-xs-3 col-sm-3 col-md-3">-->
                <!--<div id="div_id_product_category "-->
                    <!--class=" {% if category_master.errors %} has-error {% endif %}">                    -->
                    <!--<div class="controls ">-->
                        <!--<div id="product_category_app">-->
                            <!--<treeselect id="id_product_category" name="product_category" :multiple="false"-->
                                <!--:options="options"-->
                                <!--placeholder="Select Product Category..." v-model="selected_category"-->
                                <!--:load-options="loadOptions"/>-->
                        <!--</div>-->
                        <!--{% for x in category_master.errors %}-->
                            <!--<p class="help-block "><strong>{{x}}</strong></p>-->
                        <!--{% endfor %}-->
                    <!--</div>-->
                <!--</div>-->
            <!--</div>-->
            <div class="col-xs-5 col-sm-5 col-md-5">
                <form class="search-form">
                    <input id="allowanceSearch" class="form-control txt-search" value="{{searchValue}}"
                           type="text" placeholder="Dealer Search.." name="search">
                    <button id="btnSearch" class="btn-search" type="submit">
                        <i class="fa fa-search"></i>
                    </button>
                </form>
            </div>
        </div>
    </div>
    <button type="submit" style="margin-right:2%;float: right;background-color: black;margin-top: 10px;border: 0;border-radius: 4px;" name="export" class="export"  value="{{searchValue}}" >Export</button>
</div>
</section>
<input type="hidden" id="mo" value="{{month}}">
<input type="hidden" id="cat" value="{{category_url}}">
<input type="hidden" id="yer" value="{{year}}">
<input type="hidden" id="pd" >
<div>
    
</div>
<table id="tbl" class="table table-striped  table-bordered">
    <thead>
    <tr>
        <th scope="col">Category ID</th>
        <th scope="col">Dealer</th>
        <!--<th scope="col">Company</th>-->
        <th scope="col" style="text-align:right;">Monthly Target(₹)</th>
        <th scope="col" style="text-align:right;">Target Achieved(₹)</th>
        <th scope="col" style="text-align:right;">Remaining Target(₹)</th>
    </tr>
    </thead>

    <tbody>
    {% if target|length > 0 %}
        {% for data in target %}
            {% if data.Remain in '0' %}

                <tr style="background-color: #4BC088">
                    <td style="border-bottom-color: green;border-right-color: #4BC088">{{data.category}}</td>
                    <td style="border-bottom-color: green;border-right-color: #4BC088"><a href="{% url 'dealer_profile' data.did %}">
                        {{data.dealer}}.{{data.company}}</a></td>
                    <!--<td style="border-bottom-color: green;border-right-color: #4BC088"><a href="{% url 'dealer_profile' data.did %}">{{data.company}}</a></td>-->
                    <td style="text-align:right;border-bottom-color: green;border-right-color: #4BC088">{{data.monthly_target | floatformat:2 | intcomma}}</td>
                    <td style="text-align:right;border-bottom-color: green">{{data.complete_target | floatformat:2 | intcomma}}</td>
                    <td style="text-align:right;border-bottom-color: green">{{data.Remain | floatformat:2 | intcomma}}</td>
                </tr>
            {% else %}
                <tr>
                    <td>{{data.category}}</td>
                    <td><a href="{% url 'dealer_profile' data.did %}">{{data.dealer}}.{{data.company}}</a></td>
                    <!--<td><a href="{% url 'dealer_profile' data.did %}">{{data.company}}</a></td>-->
                    <td style="text-align:right">{{data.monthly_target | floatformat:2 | intcomma}}</td>
                    <td style="text-align:right">{{data.complete_target | floatformat:2 | intcomma}}</td>
                    <td style="text-align:right">{{data.Remain | floatformat:2 | intcomma|default:"0.00"}}</td>
                </tr>
            {% endif %}
        {% endfor %}
    {% else %}
        <tr>
            <td style="text-align: center;" colspan="5">No data found.</td>
        </tr>
    {% endif %}
    </tbody>
</table>
</form>
{% endblock %}
{% block extra_script_block %}
  {{block.super}}
  <script src="{% static 'plugins/vue/vue.min.js' %}"></script>
<script src="{% static 'plugins/vue/treeview/vue-treeselect.min.js' %}"></script>
<link href="{% static 'plugins/vue/treeview/vue-treeselect.min.css' %}" rel="stylesheet"/>
 <script>
    $(function(){
        var mon=$('#mo').val();
        var yr=$('#yer').val()
        var ct=$('#cat').val()
        $('#month').val(mon).attr('selected',true)
        $('#year').val(yr).attr('selected',true)
        $('.vue-treeselect__input').val(ct).attr('selected',true)
        $("#month").change(function(){
        var month= $('#month').val()
        var year= $('#year').val()
        window.location='/user/Monthly-target-details?month='+month+'&&year='+year+'&&category=All';
        });
        $("#year").change(function(){
            var month= $('#month').val()
            var year= $('#year').val()
            window.location='/user/Monthly-target-details?month='+month+'&&year='+year+'&&category=All';
        });
    })
    function bt(newVal){
    var month= $('#month').val()
    var year= $('#year').val()
    var category= newVal;
    window.location='/user/Monthly-target-details?month='+month+'&&year='+year+'&&category='+category;
    };
 </script>
<script>
        var category_list = [];
        $(document).ready(function(){

            $('#txtbrand').val($("#top_brand").val());
            $("#top_brand").change(function(){
                $('#txtbrand').val($("#top_brand").val());
            });

            //<!--alert($("#top_brand option:selected").val())-->
           // <!--alert($("#top_brand option:selected").text());-->

            //<!--=======================-->
            $("#formSubmit").submit(function(event) {
                var product = $("input[name='product_category']").val();
                product = product.replace('[','').replace(']','')
                $("input[name='product_category']").val(product);
                return true;
            });
            //<!--=======================-->

            var disabled = '{{disabled}}';
            if(disabled=='True'){
                $("#id_sku_code").attr("readonly", "readonly");
            }

            $.ajax({
                type:'get',
                url:'/master/get/product_category',
                success: function(res){
                    category_list = JSON.parse(res);
                    initTreeView();
                }
            });
        });

        function initTreeView(){
            Vue.component('treeselect', VueTreeselect.Treeselect);
            const sleep = d => new Promise(r => setTimeout(r, d));
            let called = false;

            let tree = new Vue({
                el: '#product_category_app',
                data: {
                    selected_category: {% if category_master.value %} [{{category_master.value}}] {% else %} null {% endif %},
                    //options: category_list
                    options: null
                },
                watch:{
                    'selected_category': function(newVal, oldVal){
                        // console.log(newVal);
                        //$('#pd').val(newVal)
                        //alert($('#pd').val());
                        $("#id_product_category").val(newVal).attr('onchange', bt(newVal)).css('value', newVal);
                        
                    }
                },
                methods: {
                     async loadOptions({ action/*, callback*/ }) {
                      if (action === 'LOAD_ROOT_OPTIONS') {

                        if (!called) {
                          // First try: simulate an exception.

                          await sleep(1000) // Simulate an async operation.
                          called = true
                          $.ajax({
                            type:'get',
                            url:'/master/get/product_category',
                            success: function(res){
                                tree.options = JSON.parse(res);
                            }, error: function(err){
                                throw new Error('Failed to load options: test.')
                            }
                          });
                        }
                        else {
                            $.ajax({
                                type:'get',
                                url:'/master/get/product_category',
                                success: function(res){
                                    tree.options = JSON.parse(res);
                                }, error: function(err){
                                    throw new Error('Failed to load options: test.')
                                }
                            });
                        }
                      }
                    }
                }
            })
        }
    </script>
{% endblock %}